Bug 130667 - Directory /usr/share/doc/kernel-doc-2.6.9/ is not owned by any package
Summary: Directory /usr/share/doc/kernel-doc-2.6.9/ is not owned by any package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-08-23 16:16 UTC by Dawid Gajownik
Modified: 2015-01-04 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-27 10:42:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dawid Gajownik 2004-08-23 16:16:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.2)
Gecko/20040803

Description of problem:
Directory /usr/share/doc/kernel-doc-2.6.8/ should be owned by
kernel-doc (/usr/share/doc/kernel-doc-2.6.8/Documentation also). I
noticed this small bug while updating from kernel-doc-2.6.7-1.494.2.2
- I had to remove /usr/share/doc/kernel-doc-2.6.7 manualy.

Version-Release number of selected component (if applicable):
kernel-doc-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. Run this command: rpm -qf /usr/share/doc/kernel-doc-2.6.8/

Comment 1 Nils Philippsen 2004-11-19 08:43:55 UTC
This is still the case with 2.6.9-1.681_FC3. And it should also own
the Documentation subdirectory. The spec file should probably have
something along the lines of this in it (NB: I didn't look at the
actual spec file so things might have to be a tad different in there):

[...]
%files doc
[...]
%dir %{_datadir}/doc/kernel-%{version}
%dir %{_datadir}/doc/kernel-%{version}/Documentation
[...]

Comment 2 Dawid Gajownik 2005-01-05 18:16:52 UTC
ping bugzilla.redhat.com

Comment 3 Warren Togami 2005-03-29 08:30:55 UTC
Dan could you please fix this?  Easy adding of lines to spec file.


Comment 4 Warren Togami 2005-03-29 08:31:30 UTC
Oops, I mean Dave.  I need to sleep...


Comment 5 Rik van Riel 2005-03-29 19:44:52 UTC
I committed this to CVS today, which should fix the issue:

--- kernel-2.6.spec     29 Mar 2005 19:39:04 -0000      1.1213
+++ kernel-2.6.spec     29 Mar 2005 19:43:45 -0000
@@ -1078,7 +1078,8 @@
 %if %{builddoc}
 %files doc
 %defattr(-,root,root)
-/usr/share/doc/kernel-doc-%{kversion}/Documentation/*
+%{_datadir}/doc/kernel-doc-%{kversion}/Documentation/*
+%dir %{_datadir}/doc/kernel-doc-%{kversion}
 %endif


Comment 6 Dawid Gajownik 2005-03-31 17:14:37 UTC
[y4kk0@X ~]$ rpm -qf /usr/share/doc/kernel-doc-2.6.11
kernel-doc-2.6.11-1.1219_FC4
[y4kk0@X ~]$ rpm -qf /usr/share/doc/kernel-doc-2.6.11/Documentation
file /usr/share/doc/kernel-doc-2.6.11/Documentation is not owned by
any package

And after 'rpm -e kernel-doc'

[y4kk0@X ~]$ ls /usr/share/doc/kernel-doc-2.6.11/
Documentation
[y4kk0@X ~]$

It's not fixed :P

Comment 7 Dawid Gajownik 2005-05-27 10:42:03 UTC
Fixed in Rawhide :]
http://cvs.fedora.redhat.com/viewcvs/devel/kernel/kernel-2.6.spec?r1=1.1344&r2=1.1345
Bug 158478 can be also closed.


Note You need to log in before you can comment on or make changes to this bug.